J3.x

J3.x:Updating to Joomla 3.8.13 and 3.9.0 as non-superuser

From Joomla! Documentation


Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎Nederlands • ‎русский • ‎svenska

Errors reported

When you start an update to 3.8.13 or 3.9.0+ from any version lower than 3.8.13 as non-superadmin the update does not fully complete all steps required and show a "You are not authorised to view this resource." message to the non-superusers.

Versions affected

General Information

This pertains any Joomla! version(s) updating to: 3.8.13 and higher

What is the cause

Starting with 3.8.13 and higher the Joomla core update component check if you are super user in order to perform any core update. As on any lower version this is also possible for some non-superadmins with the right permissions.

How to fix

First of all do your updates only as superadmin so you don't get hit by this issue.

  • If you are hit by this issue updating to 3.8.13 please go to Extensions    Manage   Database and hit the Fix Button.
  • When you are hit on the Upgrade to Joomla 3.9.0 or higher please also check the extensions to be installed in the discover view: Extensions    Manage   Discover. Hit the Discover Button and than install the missing Extensions using the Install Button.